Package org.mariadb.jdbc.export

## Class ExceptionFactory

- java.lang.Object
- - org.mariadb.jdbc.export.ExceptionFactory

Direct Known Subclasses:
  `ExceptionFactory.SqlExceptionFactory`

    public class ExceptionFactory
    extends Object

### Nested Class Summary

Nested Classes
`class` `ExceptionFactory.SqlExceptionFactory`

### Constructor Summary

Constructors
`ExceptionFactory​(Configuration conf, HostAddress hostAddress)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SQLException` `create​(String message)`
`SQLException` `create​(String message, String sqlState)`
`SQLException` `create​(String message, String sqlState, int errorCode)`
`SQLException` `create​(String message, String sqlState, Exception cause)`
`BatchUpdateException` `createBatchUpdate​(List<org.mariadb.jdbc.client.Completion> res, int length, int[] responseMsg, SQLException sqle)`
`BatchUpdateException` `createBatchUpdate​(List<org.mariadb.jdbc.client.Completion> res, int length, SQLException sqle)`
`String` `getSql()`
`SQLException` `notSupported​(String message)`
`ExceptionFactory` `of​(Statement statement)`
`ExceptionFactory` `setConnection​(Connection connection)`
`void` `setConnection​(ExceptionFactory oldExceptionFactory)`
`ExceptionFactory` `setPoolConnection​(MariaDbPoolConnection internalPoolConnection)`
`void` `setThreadId​(long threadId)`
`ExceptionFactory` `withSql​(String sql)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExceptionFactory

    public ExceptionFactory​(Configuration conf,
                            HostAddress hostAddress)

### Method Detail

#### setConnection

    public void setConnection​(ExceptionFactory oldExceptionFactory)

#### setConnection

    public ExceptionFactory setConnection​(Connection connection)

#### setPoolConnection

    public ExceptionFactory setPoolConnection​(MariaDbPoolConnection internalPoolConnection)

#### setThreadId

    public void setThreadId​(long threadId)

#### createBatchUpdate

    public BatchUpdateException createBatchUpdate​(List<org.mariadb.jdbc.client.Completion> res,
                                                  int length,
                                                  SQLException sqle)

#### createBatchUpdate

    public BatchUpdateException createBatchUpdate​(List<org.mariadb.jdbc.client.Completion> res,
                                                  int length,
                                                  int[] responseMsg,
                                                  SQLException sqle)

#### of

    public ExceptionFactory of​(Statement statement)

#### withSql

    public ExceptionFactory withSql​(String sql)

#### notSupported

    public SQLException notSupported​(String message)

#### create

    public SQLException create​(String message)

#### create

    public SQLException create​(String message,
                               String sqlState)

#### create

    public SQLException create​(String message,
                               String sqlState,
                               Exception cause)

#### create

    public SQLException create​(String message,
                               String sqlState,
                               int errorCode)

#### getSql

    public String getSql()